function g = read_geometry_ids(equi,geom)

if numel(equi.time)>1
    error('presently works for one equilibrium time slice only')
end

[rhotor,iR,iR2,dpsi,dpsi2,dpsi2oR2,dpsidV,F,epsilon,Rgeom,kappa,delta,Phib] = ids2geom(equi);
g = geom2RAPTOR(rhotor,iR,iR2,dpsi,dpsi2,dpsi2oR2,dpsidV,F,epsilon,Rgeom,kappa,delta,Phib,geom);

return